import express, {json, Router} from 'express';
import cors from 'cors';
import 'express-async-errors';
import rateLimit from 'express-rate-limit'
import {handleError} from './utils/errors';
import {adRouter} from './routers/ad.router';
import {config} from "./config/config";

const app = express();

app.use(cors({
    origin: config.corsOrigin,
}));

app.use(json());
app.use(rateLimit({
    windowMs: 5 * 60 * 1000, // 5 minutes
    max: 100, // Limit each IP to 100 requests per `window` (here, per 5 minutes)
}))

// dodajemy router do deploymentu i zmieniamy app.use('/ad', adRouter); na router.use('/ad', adRouter), a na końcu app.use('/api', router - api bo taką nazwę wskazaliśmy na armast.networkmanager.pl/api
const router = Router();
// routes
// app.use('/ad', adRouter);
router.use('/ad', adRouter);
app.use('/api', router);

app.use(handleError);

app.listen(3001, 'localhost', () => {
    console.log('listening on port http://localhost:3001');
});
